## ekg2 0.3.1

=== SConstruct ===
#!/usr/bin/scons
# vim:set fileencoding=utf-8
#  Alternate build system for EKG2
#  (C) 2008/09 Michał Górny

EnsureSConsVersion(0,97)
EnsurePythonVersion(2,4)

consts = {
	'VERSION':		'SVN',
	'SCONS':		True
	}
indirs = [ # pseudo-hash, 'coz we want to keep order
	['DESTDIR',		'',							'Virtual installation root'],
	['PREFIX',		'/usr/local',				'Prefix for arch-independent data'],
	['EPREFIX',		'$PREFIX',					'Prefix for arch-dependent data'],

	['BINDIR',		'$EPREFIX/bin',				'User executables'],
	['LIBEXECDIR',	'$EPREFIX/libexec',			'Program executables'],
	['LIBDIR',		'$EPREFIX/lib',				'Libraries'],
#	['INCLUDEDIR',	'$PREFIX/include',			'Headers'],
	['DATAROOTDIR',	'$PREFIX/share',			'Arch-independent data'],
	['SYSCONFDIR',	'/etc',						'System-wide configuration'],

	['LOCALEDIR',	'$DATAROOTDIR/locale',		'Locales'],
	['DATADIR',		'$DATAROOTDIR/ekg2',		'EKG2 data'],
	['MANDIR',		'$DATAROOTDIR/man',			'EKG2 manfiles'],
	['DOCDIR',		'$DATAROOTDIR/doc/ekg2',	'EKG2 additional documentation'],
	['PLUGINDIR',	'$LIBDIR/ekg2/plugins',		'EKG2 plugins'],
	]
envs = {
	'CC':			['CC', 'Compiler executable'],
	'CCFLAGS':		['CFLAGS', 'Compiler flags'],
	'LINKFLAGS':	['LDFLAGS', 'LIBS', 'Linker flags']
	}

	# first and last one are special keywords
plugin_states = ['all', 'nocompile', 'deprecated', 'unknown', 'experimental', 'def', 'unstable', 'stable', 'none']
plugin_symbols = ['', '!', '!', '?', '*', '', '~', '', '']

import glob, subprocess, codecs, os, os.path, sys, cPickle, SCons

def writedef(definefile, var, val):
	""" Write define to definefile, choosing correct format. """
	if val is None:
		definefile.write('#undef %s\n' % (var))
	if isinstance(val, str):
		definefile.write(('#define %s "%s"\n' % (var, val)))
	if isinstance(val, bool):
		if val:
			definefile.write(('#define %s 1\n' % (var)))
		else:
			definefile.write(('#undef %s\n' % (var)))
	elif isinstance(val, int):
		definefile.write(('#define %s %d\n' % (var, val)))

def WriteDefines(target, source, env):
	""" Write list 'defines' to definefile. """
	defines = env['EKG_DEFINES']
	definefile = open(str(target[0]), 'w')
	for k, v in defines.items():
		writedef(definefile, k, v)
	definefile.close()
	return None

def WriteStatic(target, source, env):
	""" Write static plugin loader """
	plug = []
	for p in source:
		p = str(p).split('/', 3)
		if p[0] == 'plugins':
			plug.append(p[1])

	static_inc = open(str(target[0]), 'w')
	static_inc.write('/* autogenerated, do not modify */\n#include <stdlib.h>\n\n')
	for p in plug:
		static_inc.write('extern int %s_plugin_init(int prio);\n' % p)
	static_inc.write('\nvoid *plugin_load_static(const char *name) {\n')
	for p in plug:
		static_inc.write('\tif (!xstrcmp(name, "%s")) return &%s_plugin_init;\n' % (p, p))
	static_inc.write('\treturn NULL;\n}\n')
	static_inc.close()
	return None

warnings = []

def CheckStructMember(context, struct, member, headers):
	""" Check whether struct with given member is available. """
	context.Message('Checking for %s.%s... ' % (struct, member))
	testprog = ''
	for header in headers:
		testprog += '#include <%s>\n' % (header)
	testprog += '\nint main(void) {\n\tstatic %s tmp;\n\tif (tmp.%s)\n\t\treturn 0;\n\treturn 0;\n}\n' % (struct, member)

	result = context.TryCompile(testprog, '.c')
	context.Result(result)
	return not not result

def StupidPythonExec(context, cmds, result):
	""" Execute given commands and put errorcode, data written to stdout and to stderr onto result. """
	if not isinstance(cmds, list):
		cmds = [cmds]

	if context is not None:
		context.Message('Querying %s... ' % cmds[0].split()[0])

	fret = 0
	for cmd in cmds:
		p		= subprocess.Popen(cmd, shell = True, stdout = subprocess.PIPE, stderr = subprocess.PIPE, stdin = subprocess.PIPE)
		stdout	= p.stdout.read().strip()
		stderr	= p.stderr.read().strip()
		ret		= p.wait()

		result.extend([ret, stdout, stderr])
		fret	+= int(ret)

	if context is not None:
		context.Result(not fret)

	return not fret

def PkgConfig(context, pkg, flags, version = None, pkgconf = 'pkg-config',
			versionquery = '--version', flagquery = '--cflags --libs'):
	""" Ask pkg-config (or *-config) about given package, and put results in flags.
		If specific -config (pkg-config, for example) needs package name, then give it as pkg. If not,
		just set pkgconf correctly. When using something incompatible with *-config, give correct
		[versionquery, ccflagquery, ldflagquery] """
	if pkg is None:
		context.Message('Querying %s... ' % pkgconf)
		pkg = ''
	else:
		context.Message('Asking %s about %s... ' % (pkgconf, pkg))
		pkg = ' "%s"' % (pkg)

	queries = []
	if flags is not None:
		queries.append(flagquery)
	if version is not None:
		if pkgconf == 'pkg-config' and versionquery == '--version': # defaults
			versionquery = '--mod%s' % versionquery[2:]
		queries.append(versionquery)

	res = []
	ret = StupidPythonExec(None, ['"%s" %s%s' % (pkgconf, q, pkg) for q in queries], res)
	if ret:
		if flags is not None:
			flags.append(res[1])
			if version is not None:
				version.append(res[4])
		else:
			if version is not None:
				version.append(res[1])

	context.Result(ret)
	if int(res[0]) == 127 and pkgconf == 'pkg-config':
		warnings.append('%s not found!' % pkgconf)
	if int(res[0]) != 0:
		print res[2]
	return ret

def SetFlags(env, new):
	""" Set new (temporary) flags and return dict with old flag values """
	if not isinstance(new, dict):
		new	= env.ParseFlags(new)

	old		= {}
	for k in new.keys():
		try:
			old[k] = env[k]
		except KeyError:
			old[k] = []

	env.MergeFlags(new)
	return old

def RestoreFlags(env, old):
	""" Restore flags saved by BackupFlags() """
		# We don't use env.MergeFlags(), 'cause we want to remove new ones
	for k, v in old.items():
		env[k] = v
	return

def ExtTest(name, addexports = []):
	""" Execute external test from scons.d/. """
	exports = ['conf', 'defines', 'env', 'global_flags', 'warnings', 'SetFlags', 'RestoreFlags']
	exports.extend(addexports)
	ret = SConscript('scons.d/%s' % (name), exports)
	return ret

def CompileMsgEmitter(target, source, env):
	""" Fill targets to match source .po. """
	target	= []
	for f in source:
#		if str(f)[-3:] == '.po':
		target.append(str(f).replace('.po', '.mo'))
	
	return target, source

def CompileMsgGen(source, target, env, for_signature):
	""" Compile .po to .mo. """
	map = dict(zip(target, source))
	ret = []
	for d,s in map.items():
		ret.append('msgfmt -o "%s" "%s"' % (d,s))
	return ret

msgfmt = Builder(generator = CompileMsgGen, emitter = CompileMsgEmitter, suffix = '.mo', src_suffix = '.po')
defgen = Builder(action = WriteDefines, suffix = '.h')
stagen = Builder(action = WriteStatic, suffix = '.c')

env = Environment(
	BUILDERS = {'CompileMsg': msgfmt, 'Defines': defgen, 'StaticLoader': stagen}
)
opts = Options('options.cache')

avplugins = [elem.split('/')[1] for elem in glob.glob('plugins/*/')]
xplugins = ['-%s' % elem for elem in avplugins]
xplugins.extend(['@%s' % elem for elem in plugin_states])
opts.Add(ListOption('PLUGINS', 'List of plugins or @sets to build', '@def', avplugins + xplugins))
opts.Add(BoolOption('HARDDEPS', 'Fail if specified plugin could not be built due to unfulfilled depends', False))
opts.Add(BoolOption('UNICODE', 'Enable unicode support', True))
opts.Add(BoolOption('RESOLV', 'Use libresolv-based domain resolver with SRV support', True))
opts.Add(BoolOption('IDN', 'Support Internation Domain Names if libidn is found', True))
opts.Add(BoolOption('NLS', 'Enable l10n in core (requires gettext)', True))
opts.Add(BoolOption('RELPLUGINS', 'Support loading plugins from paths relative to cwd', True))
opts.Add(BoolOption('STATIC', 'Whether to build static plugins instead of shared', False))
opts.Add(BoolOption('SKIPCONF', 'Restore previous environment and skip configure if possible', False))
opts.Add(BoolOption('SKIPCHECKS', 'Skip non-essential checks during configure (assuming they succeed)', False))
opts.Add(EnumOption('DEBUG', 'Internal debug level', 'std', ['none', 'std', 'stderr']))
opts.Add(EnumOption('REMOTE', 'Whether to build ekg2-remote', 'no', ['no', 'yes', 'only']))
opts.Add(EnumOption('REMOTE_SSL', 'What SSL/TLS library to use with ekg2-remote', 'auto', ['none', 'openssl', 'gnutls', 'any', 'auto']))
opts.Add('DISTNOTES', 'Additional info to /version for use with distributed packages')

for p in avplugins:
	info = SConscript('plugins/%s/SConscript' % p, ['env', 'opts', 'indirs'])
	if not info:
		continue
	values = []
	if 'depends' in info:
		for a in info['depends']:
			if isinstance(a, list):
				values.extend(a)
	if 'optdepends' in info:
		for a in info['optdepends']:
			if isinstance(a, list):
				values.extend(a)
			else:
				values.append(a)

	if values:
		xvals = ['-%s' % elem for elem in values]
		xvals.extend(['+%s' % elem for elem in values])
		opts.Add(ListOption('%s_DEPS' % p.upper(), 'Optional/exclusive dependencies of %s plugin to disable or force' % p,
			'none', values + xvals))

dirs = []
for k,v,d in indirs:
	dirs.append(k)
	opts.Add(PathOption(k, d, v, PathOption.PathAccept))

for k,v in envs.items():
	desc = v.pop()
	var = []
	for val in v:
		if val in os.environ:
			var.append(os.environ[val])
	var = ' '.join(var)
	if var:
		opts.Add(k, desc, var)
	else:
		opts.Add(k, desc)

opts.Update(env)
opts.Save('options.cache', env)
env.Help(opts.GenerateHelpText(env))

# Default LINKFLAGS and CCFLAGS can be lists; stringify them.
for k in envs:
	if isinstance(env[k], list):
		env[k] = ' '.join(env[k])

defines = {}
# Global flags are fairly special. They are merged into the environment directly
# by the configure tests; we need them here only to save them into the cache and
# restore when using SKIPCONF=1.
global_flags = []

if env['STATIC']:
	defines['STATIC_LIBS'] = True
else:
	defines['SHARED_LIBS'] = True
	defines['SKIP_RELATIVE_PLUGINS_DIR'] = not env['RELPLUGINS']
defines['USE_UNICODE'] = env['UNICODE']
try:
	defines['VER_DISTNOTES'] = env['DISTNOTES']
except KeyError:
	defines['VER_DISTNOTES'] = False
defines['SCONS_NOTES'] = 'built using SCons %s' % SCons.__version__

for var in dirs:
	env[var] = env.subst(env[var])
	defines[var] = env[var]
for var,val in consts.items():
	defines[var] = val

# We get CCFLAGS and some of LINKFLAGS into flags, to pass them to env.MergeFlags(),
# but we keep rest of LINKFLAGS alone, because Gentoo by default uses -O1 to linker, and -O2 to compiler.
flags = [env['CCFLAGS']]
linkflags = []
for arg in env['LINKFLAGS'].split():
	if arg[0:2] in ['-l', '-L']:
		flags.append(arg)
	else:
		linkflags.append(arg)

env['CCFLAGS']		= []
env['LINKFLAGS']	= []
env.MergeFlags(flags)
env.Append(LINKFLAGS = linkflags)

if env['SKIPCONF']:
	try:
		conff = open('env.cache', 'r')
		try:
			confd = cPickle.load(conff)
		finally:
			conff.close()
	except (IOError, EOFError, cPickle.UnpicklingError):
		print '! SKIPCONF requested but no saved conf found'
		env['SKIPCONF'] = False
	else:
		# allow defines to be replaced
		for k, v in defines.items():
			confd['defines'][k] = v
		# and load environment
		for k, v in confd.items():
			globals()[k] = v
		SetFlags(env, env.ParseFlags(global_flags))

if not env['SKIPCONF']:
	conf = env.Configure(custom_tests = {
			'CheckStructMember':	CheckStructMember,
			'PkgConfig':			PkgConfig,
			'External':				StupidPythonExec
		})
	ekg_libs = []
	ekg_staticlibs = []
	ekg_compat = []
	ekg_remote_flags = []

	if env['REMOTE'] == 'only':
		# disable unused libs to avoid useless linking
		# XXX: we should get separate ekg_libs for ekg2-remote indeed
		for k in ['NLS', 'IDN', 'RESOLV']:
			env[k] = False

	ExtTest('standard', ['ekg_libs'])
	ExtTest('compat', ['ekg_compat'])

	if env['REMOTE'] != 'no' and env['REMOTE_SSL'] != 'none':
		reqssl = env['REMOTE_SSL']
		flags = []

		for dep in ['gnutls', 'openssl']:
			if reqssl in ['auto', 'any', dep]:
				if ExtTest(dep, ['flags']):
					ekg_remote_flags.extend(flags)
					defines['REMOTE_WANT_%s' % dep.upper()] = True
					break

		if not ekg_remote_flags and reqssl != 'auto' and env['HARDDEPS']:
