=== debian/changelog ===
ekg2 (1:0.3.1-4) unstable; urgency=medium

  * Use dh_autotools-dev to update config.{sub,guess}.
    (Closes: #727371, #690112)
  * Remove python-central dependency and replace the dh sequence with python2
  * Update libgpm dependency

 -- Marcin Owsiany <porridge@debian.org>  Fri, 25 Oct 2013 14:05:23 +0200

ekg2 (1:0.3.1-3) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Add ekg2.postinst script to perform the directory to symlink
    transformation of /usr/share/doc/ekg2.  (Closes: #685469)

  [ Marcin Owsiany ]
  * important bug fix upload, aimed at testing

 -- Marcin Owsiany <porridge@debian.org>  Sat, 09 Feb 2013 21:00:43 +0000

ekg2 (1:0.3.1-2) unstable; urgency=medium

  * RC-bugfix upload aimed at testing
  * [57a396e] Do not install conflicting symlinks. (Closes: #685469)

 -- Marcin Owsiany <porridge@debian.org>  Tue, 21 Aug 2012 22:57:55 +0200

ekg2 (1:0.3.1-1) unstable; urgency=low

  * New upstream release.
  * [5ad9be5] Downgraded UI Depends on core/remote to Recommends.
    (Closes: #618321)
  * [7f04d17] Fixed the config.sub/config.guess copy.

 -- Marcin Owsiany <porridge@debian.org>  Sat, 19 Mar 2011 13:54:01 +0000

ekg2 (1:0.3.1~rc1-1) unstable; urgency=low

  * New upstream release candidate.
  * [71a9fb6] Added a debian/watch file. (Closes: #616149)

 -- Marcin Owsiany <porridge@debian.org>  Sun, 13 Mar 2011 13:46:48 +0000

ekg2 (1:0.3.0~rc7-1) experimental; urgency=low

  * New upsteam release candidate.

 -- Marcin Owsiany <porridge@debian.org>  Sat, 22 Jan 2011 15:09:16 +0000

ekg2 (1:0.3.0~rc6-1) experimental; urgency=low

  * New upstream release candidate

 -- Marcin Owsiany <porridge@debian.org>  Fri, 21 Jan 2011 07:41:34 +0000

ekg2 (1:0.3.0~rc5-1) experimental; urgency=low

  * New upstream release candidate
  * Added installation of newly created Perl plugin documentation.

 -- Marcin Owsiany <porridge@debian.org>  Mon, 03 Jan 2011 13:36:34 +0000

ekg2 (1:0.3.0~rc4-2) experimental; urgency=low

  * Added a rule to not attempt refreshing tg2quilt.mk.
  * Enabled parallel builds.
  * Disabled build of doxygen docs in binary-arch, Closes: #608501

 -- Marcin Owsiany <porridge@debian.org>  Fri, 31 Dec 2010 14:27:05 +0000

ekg2 (1:0.3.0~rc4-1) experimental; urgency=low

  * New upstream snapshot
  * Split the package, Closes: #386998
    - put rationale in README.Debian
    - install files in debian/tmp and then use debian/*.install files with
      dh_install to sort them into packages
    - lots of little debhelper debian/*.* files renaming and munging
  * Optimization is now on, and symbols are stripped, Closes: #379162
  * Cleaned up some stuff in debian/rules - partly obsoleted by the awesomeness
    of "dh" and parly just old cruft
  * Removed fixes/gg-keep-reason - merged upstream
  * Install vars-en.txt and themes-en.txt
  * Link in docs to all {vars,session,commands}*-??.txt files in usr/share/ekg2

 -- Marcin Owsiany <porridge@debian.org>  Fri, 17 Dec 2010 20:52:29 +0000

ekg2 (1:0.3.0~rc4~pre+20101127+0508-1) experimental; urgency=low

  * New upstream snapshot
    - now disables strict aliasing rules
  * Enabled compiler optimization
  * Migrated to using "dh" and version 3.0 (quilt).
  * Bumped Standards-Version to 3.9.1.
  * Slightly tweaked description

 -- Marcin Owsiany <porridge@debian.org>  Fri, 26 Nov 2010 21:08:56 -0800

ekg2 (1:0.3.0~rc1+20101120+2232-1) experimental; urgency=low

  * New upstream snapshot
  * Corrected configuration gnutls option (no impact, as the option was on
    by default anyway)
  * Added newly translated docs/ui-ncurses-en.txt to debian/ekg2.docs

 -- Marcin Owsiany <porridge@debian.org>  Sat, 20 Nov 2010 23:09:35 -0800

ekg2 (20101002+2104-1) experimental; urgency=low

  * New upstream snapshot, based on 0.3.x branch
  * Incorporated improvements to the fixes/gg-keep-reason patch from upstream
    BTS.

 -- Marcin Owsiany <porridge@debian.org>  Sat, 02 Oct 2010 22:17:10 +0100

ekg2 (20100221+1200-1) experimental; urgency=low

  * New upstream snapshot
    - this or previous version has a fix for garbage on terminal resize,
      Closes: #506669
  * Removed patches - merged upstream in some way
    - fixes/ekg2-remote-cmdline
    - fixes/gpgme-lfs
    - fixes/gtk-clist-deprecated
    - fixes/txtfiles-syntax
  * Added a README.source and WORKFLOW files as a starting point for source
    package documentation.
  * Added --enable-skip-relative-plugins-dir to configure invocation
  * Silenced an echo command
  * Use INSTALLDIRS=vendor at build time in an attempt to skip .packlist
    installation and properly follow the Debian Perl Policy. Also remove them
    manually just in case, as this does not seem to work on some systems.
  * Bumped debian/compat to 7
    - replaced deprecated dh_clean -k call with dh_prep
    - updated build-dependency in debian/control
  * Bumped Standards-Version to 3.8.4 (no changes needed)
  * Added a debian/clean files to remove some cruft usually leftover after
    a build
  * Updated FSF address in debian/copyright

 -- Marcin Owsiany <porridge@debian.org>  Thu, 25 Feb 2010 09:05:16 +0000

ekg2 (20091008+2020-1) experimental; urgency=low

  * New snapshot from upstream
  * Removed patches - merged upstream
    - fixes/ekg2book-autoclean
    - fixes/perl-install
    - features/autoresponder-sysmsg-note
    - features/ekg2book-generation
  * Removed dependencies on autotools
  * Added patches:
    - fixes/gpgme-lfs: enable building against libgpgme with LFS support
    - fixes/txtfiles-syntax: fix text file syntax

 -- Marcin Owsiany <porridge@debian.org>  Fri, 09 Oct 2009 17:49:42 +0100

ekg2 (20090404+0800-1) experimental; urgency=low

  * New snapshot from upstream. Noteworthy changes:
    - a few mass symbol renames to support C++ plugins
    - migration from converters to recoders
    - ekg2-remote merged into the codebase
    - no_config message is now displayed on first startup, Closes: #506744
    - more space for password prompt, Closes: #506659

